de.esprit.netsuite.client.netch

## Class IOClientRequestConnection

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.log.SimpleLogSupportAdapter
    - - de.esprit.netsuite.client.netch.IOClientRequestConnection

- All Implemented Interfaces:
    SimpleLogSupport, Dumpable, ClientRequestConnection

      public class IOClientRequestConnection
      extends SimpleLogSupportAdapter
      implements ClientRequestConnection

  This is the Socket-IO specific implementation of the `ClientRequestConnection`
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IOClientRequestConnection(LogChannel logCh, ServerHost serverHost, StreamWrapper streamWrapper, VersionCheck versionCheck)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `confirmResponse()`
    `SessionId` | `connect()`
    `boolean` | `disconnect()`
    `ServerId` | `getServerId()`
    `SessionId` | `getSessionId()`
    `java.lang.String` | `getSocketInfoLocal()`
    `java.lang.String` | `getSocketInfoRemote()`
    `boolean` | `isConnected()`
    `void` | `sendRequest(NetRequest request)`
    `void` | `shutdown()`

    - ### Methods inherited from class de.esprit.common.log.SimpleLogSupportAdapter

      `getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IOClientRequestConnection

          public IOClientRequestConnection(LogChannel logCh,
                                   ServerHost serverHost,
                                   StreamWrapper streamWrapper,
                                   VersionCheck versionCheck)

  - ### Method Detail

    - #### getServerId

          public ServerId getServerId()

      Specified by:
        `getServerId` in interface `ClientRequestConnection`

    - #### getSessionId

          public SessionId getSessionId()

      Specified by:
        `getSessionId` in interface `ClientRequestConnection`

    - #### isConnected

          public boolean isConnected()

      Specified by:
        `isConnected` in interface `ClientRequestConnection`

    - #### getSocketInfoLocal

          public java.lang.String getSocketInfoLocal()

      Specified by:
        `getSocketInfoLocal` in interface `ClientRequestConnection`

    - #### getSocketInfoRemote

          public java.lang.String getSocketInfoRemote()

      Specified by:
        `getSocketInfoRemote` in interface `ClientRequestConnection`

    - #### connect

          public SessionId connect()
                            throws java.lang.Exception

      Specified by:
        `connect` in interface `ClientRequestConnection`
      Throws:
        `java.lang.Exception`

    - #### disconnect

          public boolean disconnect()

      Specified by:
        `disconnect` in interface `ClientRequestConnection`

    - #### sendRequest

          public void sendRequest(NetRequest request)
                           throws java.lang.Exception

      Specified by:
        `sendRequest` in interface `ClientRequestConnection`
      Throws:
        `java.lang.Exception`

    - #### confirmResponse

          public void confirmResponse()
                               throws java.lang.Exception

      Specified by:
        `confirmResponse` in interface `ClientRequestConnection`
      Throws:
        `java.lang.Exception`

    - #### shutdown

          public void shutdown()

      Specified by:
        `shutdown` in interface `ClientRequestConnection`

Copyright © 2011 EsprIT-Systems. All Rights Reserved.